﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace mingi
{
    public partial class Form1 : Form
    {

        List<minge> L;//lista mingilor
        Graphics G;
        bool gata = false;//ca sa stim cand se opresc

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Shown(object sender, EventArgs e)
        {
            L = new List<minge>();
            Random r = new Random();
            for (int i=1;i<=10;i++)
            {//creez 10 mingi
                int raza = r.Next(30,50);
                int x = 20+i*(this.Width - 80)/11;
                int y = r.Next(60, this.Height - 100);
                Color c = Color.FromArgb(r.Next(255), r.Next(255), r.Next(255));
                minge m = new minge(x, y, raza, c);
                L.Add(m);
            }
            G = this.CreateGraphics();
            //desenez mingile in pozitiile initiale
            foreach (minge x in L)
                x.deseneaza(G);
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            bool oprit = true;// ca sa verific daca s-a oprit
            foreach(minge x in L)
            {
                x.sterge(G);
                x.misca(this.Height - x.R - 41);
                x.deseneaza(G);
                if (x.Y <= this.Height - x.R - 41)
                    oprit = false;//exista minge care nu s-a oprit
            }
            if (oprit == true)
                gata = true;
            if (gata)
            {
                timer1.Stop();
                MessageBox.Show("Gata");
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            timer1.Start();
        }
    }
}
